




 $(function(){

/*- ARRAY EXTENSIONS ---------------------------------------------------*/

array_contains = function(arr, element){
 for(var i = 0; i < arr.length; i++){//>
  if(arr[i] == element){
   return true;
  }
 }
 return false;
}

array_remove = function(arr, element){
 for(var i = 0; i < arr.length; i++){//>
  if(arr[i] == element){
   arr.splice(i--,1);
  }
 }
 return arr;
}


function SpotCookie(name){
 this.cookie = JAGEX.cookie;
 this.maxLength = 10;
 this.separator = ",";

 
 this.markAsRead = function(uid){
  var uids = this.getUids();
  if(!array_contains(uids,uid)){
   uids.unshift(uid);
   if(uids.length > this.maxLength){
    uids.splice(this.maxLength);
   }
   this.setUids(uids);
  }
 }

 
 this.markAsUnread = function(uid){
  var uids = this.getUids();
  uids = array_remove(uids,uid);
  this.setUids(uids);
 }

 
 this.isRead = function(uid){
  var uids = this.getUids();
  return array_contains(uids,uid);
 }

 

 this.getUids = function(){
  var cookieVal = this.cookie.get(name);
  if(!cookieVal){
   return new Array();
  }
  else {
   return cookieVal.split(this.separator);
  }
 }

 this.setUids = function(arrayOfUids){
  this.cookie.set(name,arrayOfUids.join(this.separator),".runescape.com");
 }
}



function SpotCounter($spotCounter){
 this.count=0;
 this.visible=false;
 this.setValue = function(val){
  if ( $.browser.msie ){//navigator.appName == "Microsoft Internet Explorer" ){
   
   if ( val==0 )$spotCounter.hide();
   else $spotCounter.html(val).show();
  }else{
   if ( val==0 )$spotCounter.fadeOut();
   else $spotCounter.html(val).fadeIn();
  }
 }
}








function SpotTab(name,$tab){
 if(cookie_enabled() == true){
  this.name=name;
  this.spotCookie=new SpotCookie("spot"+name);
  var spotCounter=new SpotCounter($tab.children(".spotCounter")); ;

  
  var index = $(".spotTab").index($this);
  this.$spotContent = $(".spotContent").slice(index, index+1);

  if (undefined==this.$spotContent){
   
   spotCounter.setValue(this.spotStoredCount.value());
   return;
  }

  
  this.nPosts=this.$spotContent.children(".spotLink").length;
  this.nRead=0; 
  var tab=this;

  
  this.markAsRead = function(uid){
   tab.spotCookie.markAsRead(uid);
  }

  
  var $spotLinks = this.$spotContent.find(".spotLink").click(function(ev){
   tab.markAsRead($(this).attr("id"));
   $(this).find(".spotIndicator").hide();
   tab.update();
  });

  $tab.click(function(ev){
   setTimeout(tab.update,1000); 
  })

  
  
  this.update = function(){
   tab.nRead=0;
   
   var $spotContent=tab.$spotContent;
   $spotContent.children(".spotLink").each(function(){
    var $this=$(this);
    
    if ( $this.hasClass("spotRead") && $spotContent.css("display")=="block")tab.spotCookie.markAsRead($this.attr("id"))
    if (tab.spotCookie.isRead($this.attr("id"))){
     $this.find(".spotIndicator").hide();
     tab.nRead++;
    }else{
     $this.find(".spotIndicator").fadeIn();
    }
   });
   spotCounter.setValue(tab.nPosts-tab.nRead);
  }
  this.update();
 }
}


$(".spotTab").each(function(){
 $this = $(this);
 var id = $this.attr("id");
 new SpotTab( id , $this );
 
});

 })
