


(function($){ $.fn.placeholder = function(options){


// configuration properties
options = $.extend({
 // defaults
 holderText: null,
 attribute: 'placeholder',
 addclass: 'placeholder'
},
options);


return this.each(function(){var $this = $(this);

 // if no placeholder text is defined, give up
 var placeholder = options.holderText || $this.attr(options.attribute);
 if(!placeholder || placeholder.length < 1) return;

 // focus handler/function - if placeholder text is there, remove it, remove placeholder class
 $this.focus(function(){
  clearFunction($this);
  if(options.addclass) $this.removeClass(options.addclass);
 });
 
 $this.parents('form').submit(function(){
  clearFunction($this.parents('form').find('.placeholder'));
  if(options.addclass) $this.removeClass(options.addclass);
 });

 // focus handler - blur function separate so we can call it on page load
 $this.blur(function(){
  blurFunction();
 });

 // blur function - if placeholder text is there, remove it, remove placeholder class
 function blurFunction(){
  var val = $this.val();
  if(val == '' || val == placeholder && options.addclass){
   $this.addClass(options.addclass);
  }
  if(val == '') $this.val(placeholder);
 }
 
 function clearFunction($obj){
  $obj.each(function(){
   var val = $(this).val();
   if(val == placeholder){
    $(this).val('');
   }
  });
 }

 // call the blur function when the page is loaded to set up placeholder text
 blurFunction();

});/*this.each()*/


}})(jQuery)